ILDG_META_INPUT(participant_name, input%ildg_participant_name)
ILDG_META_INPUT(participant_institution, input%ildg_participant_institution)
ILDG_META_INPUT(machine_name, input%ildg_machine_name)
ILDG_META_INPUT(machine_institution, input%ildg_machine_institution)
ILDG_META_INPUT(machine_type, input%ildg_machine_type)
ILDG_META_INPUT(code_name, ildg_code_name)
ILDG_META_INPUT(code_version, ildg_code_version FORTRAN_STRCAT ildg_code_revision)
ILDG_META_INPUT(code_date, ildg_code_date)
ILDG_META_INPUT(para_number_steps, input%hmc_steps(1))
ILDG_META_INPUT(para_step_size, para%c_hmc(1)%tau)
ILDG_META_INPUT(para_time_scale_ratio, para%c_hmc(1)%m_scale)
ILDG_META_INPUT(para_solver_residuum, para%c_cg_rest)
!! ILDG_META_INPUT(para_rho, para%c_hmc(1)%rho)
ILDG_META_INPUT(markov_chain_uri, input%ildg_markov_chain_uri)
ILDG_META_INPUT(markov_series, itoa(counter%run))
ILDG_META_INPUT(markov_update, itoa(counter%traj))
ILDG_META_INPUT(Lx, itoa(para%L(1)))
ILDG_META_INPUT(Ly, itoa(para%L(2)))
ILDG_META_INPUT(Lz, itoa(para%L(3)))
ILDG_META_INPUT(Lt, itoa(para%L(4)))
ILDG_META_INPUT(beta, para%c_hmc(1)%beta)
ILDG_META_INPUT(kappa, para%c_hmc(1)%kappa)
ILDG_META_INPUT(csw, para%c_hmc(1)%csw)
ILDG_META_INPUT(today, today)
ILDG_META_INPUT(average_plaquette, REALtoa(plaquette, "(f12.10)"))
ILDG_META_INPUT(precision, c_precision(precision))
ILDG_META_INPUT(crc_check_sum, i8toa(cksum))
ILDG_META_INPUT(data_lfn, lfn)
